category

package
v1.0.0 Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Jan 4, 2024 License: MPL-2.0 Imports: 13 Imported by: 0

Documentation

Index

Constants

View Source
const DeleteCategoryIDNoContentCode int = 204

DeleteCategoryIDNoContentCode is the HTTP code returned for type DeleteCategoryIDNoContent

View Source
const DeleteMultiChoiceIDNoContentCode int = 204

DeleteMultiChoiceIDNoContentCode is the HTTP code returned for type DeleteMultiChoiceIDNoContent

View Source
const DeleteSingleChoiceGroupIDNoContentCode int = 204

DeleteSingleChoiceGroupIDNoContentCode is the HTTP code returned for type DeleteSingleChoiceGroupIDNoContent

View Source
const DeleteSingleChoiceIDNoContentCode int = 204

DeleteSingleChoiceIDNoContentCode is the HTTP code returned for type DeleteSingleChoiceIDNoContent

View Source
const GetCategoryCategoryIDMultiChoiceOKCode int = 200

GetCategoryCategoryIDMultiChoiceOKCode is the HTTP code returned for type GetCategoryCategoryIDMultiChoiceOK

View Source
const GetCategoryCategoryIDSingleChoiceGroupOKCode int = 200

GetCategoryCategoryIDSingleChoiceGroupOKCode is the HTTP code returned for type GetCategoryCategoryIDSingleChoiceGroupOK

View Source
const GetCategoryIDOKCode int = 200

GetCategoryIDOKCode is the HTTP code returned for type GetCategoryIDOK

View Source
const GetCategoryOKCode int = 200

GetCategoryOKCode is the HTTP code returned for type GetCategoryOK

View Source
const GetMultiChoiceIDOKCode int = 200

GetMultiChoiceIDOKCode is the HTTP code returned for type GetMultiChoiceIDOK

View Source
const GetSingleChoiceGroupGroupIDSingleChoiceOKCode int = 200

GetSingleChoiceGroupGroupIDSingleChoiceOKCode is the HTTP code returned for type GetSingleChoiceGroupGroupIDSingleChoiceOK

View Source
const GetSingleChoiceGroupIDOKCode int = 200

GetSingleChoiceGroupIDOKCode is the HTTP code returned for type GetSingleChoiceGroupIDOK

View Source
const GetSingleChoiceIDOKCode int = 200

GetSingleChoiceIDOKCode is the HTTP code returned for type GetSingleChoiceIDOK

View Source
const PostCategoryCategoryIDMultiChoiceCreatedCode int = 201

PostCategoryCategoryIDMultiChoiceCreatedCode is the HTTP code returned for type PostCategoryCategoryIDMultiChoiceCreated

View Source
const PostCategoryCategoryIDSingleChoiceGroupCreatedCode int = 201

PostCategoryCategoryIDSingleChoiceGroupCreatedCode is the HTTP code returned for type PostCategoryCategoryIDSingleChoiceGroupCreated

View Source
const PostCategoryCreatedCode int = 201

PostCategoryCreatedCode is the HTTP code returned for type PostCategoryCreated

View Source
const PostSingleChoiceGroupGroupIDSingleChoiceCreatedCode int = 201

PostSingleChoiceGroupGroupIDSingleChoiceCreatedCode is the HTTP code returned for type PostSingleChoiceGroupGroupIDSingleChoiceCreated

View Source
const PutCategoryIDOKCode int = 200

PutCategoryIDOKCode is the HTTP code returned for type PutCategoryIDOK

View Source
const PutMultiChoiceIDOKCode int = 200

PutMultiChoiceIDOKCode is the HTTP code returned for type PutMultiChoiceIDOK

View Source
const PutSingleChoiceGroupIDOKCode int = 200

PutSingleChoiceGroupIDOKCode is the HTTP code returned for type PutSingleChoiceGroupIDOK

View Source
const PutSingleChoiceIDOKCode int = 200

PutSingleChoiceIDOKCode is the HTTP code returned for type PutSingleChoiceIDOK

Variables

This section is empty.

Functions

This section is empty.

Types

type DeleteCategoryID

type DeleteCategoryID struct {
	Context *middleware.Context
	Handler DeleteCategoryIDHandler
}
DeleteCategoryID swagger:route DELETE /category/{id} category deleteCategoryId

DeleteCategoryID delete category ID API

func NewDeleteCategoryID

func NewDeleteCategoryID(ctx *middleware.Context, handler DeleteCategoryIDHandler) *DeleteCategoryID

NewDeleteCategoryID creates a new http.Handler for the delete category ID operation

func (*DeleteCategoryID) ServeHTTP

func (o *DeleteCategoryID) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type DeleteCategoryIDDefault

type DeleteCategoryIDDefault struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

DeleteCategoryIDDefault Error

swagger:response deleteCategoryIdDefault

func NewDeleteCategoryIDDefault

func NewDeleteCategoryIDDefault(code int) *DeleteCategoryIDDefault

NewDeleteCategoryIDDefault creates DeleteCategoryIDDefault with default headers values

func (*DeleteCategoryIDDefault) SetPayload

func (o *DeleteCategoryIDDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the delete category ID default response

func (*DeleteCategoryIDDefault) SetStatusCode

func (o *DeleteCategoryIDDefault) SetStatusCode(code int)

SetStatusCode sets the status to the delete category ID default response

func (*DeleteCategoryIDDefault) WithPayload

func (o *DeleteCategoryIDDefault) WithPayload(payload *models.Error) *DeleteCategoryIDDefault

WithPayload adds the payload to the delete category ID default response

func (*DeleteCategoryIDDefault) WithStatusCode

func (o *DeleteCategoryIDDefault) WithStatusCode(code int) *DeleteCategoryIDDefault

WithStatusCode adds the status to the delete category ID default response

func (*DeleteCategoryIDDefault) WriteResponse

func (o *DeleteCategoryIDDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type DeleteCategoryIDHandler

type DeleteCategoryIDHandler interface {
	Handle(DeleteCategoryIDParams, *schemas.User) middleware.Responder
}

DeleteCategoryIDHandler interface for that can handle valid delete category ID params

type DeleteCategoryIDHandlerFunc

type DeleteCategoryIDHandlerFunc func(DeleteCategoryIDParams, *schemas.User) middleware.Responder

DeleteCategoryIDHandlerFunc turns a function with the right signature into a delete category ID handler

func (DeleteCategoryIDHandlerFunc) Handle

Handle executing the request and returning a response

type DeleteCategoryIDNoContent

type DeleteCategoryIDNoContent struct {
}

DeleteCategoryIDNoContent Deleted

swagger:response deleteCategoryIdNoContent

func NewDeleteCategoryIDNoContent

func NewDeleteCategoryIDNoContent() *DeleteCategoryIDNoContent

NewDeleteCategoryIDNoContent creates DeleteCategoryIDNoContent with default headers values

func (*DeleteCategoryIDNoContent) WriteResponse

func (o *DeleteCategoryIDNoContent) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type DeleteCategoryIDParams

type DeleteCategoryIDParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  Required: true
	  In: path
	*/
	ID int64
}

DeleteCategoryIDParams contains all the bound params for the delete category ID operation typically these are obtained from a http.Request

swagger:parameters DeleteCategoryID

func NewDeleteCategoryIDParams

func NewDeleteCategoryIDParams() DeleteCategoryIDParams

NewDeleteCategoryIDParams creates a new DeleteCategoryIDParams object

There are no default values defined in the spec.

func (*DeleteCategoryIDParams) BindRequest

func (o *DeleteCategoryIDParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewDeleteCategoryIDParams() beforehand.

type DeleteCategoryIDURL

type DeleteCategoryIDURL struct {
	ID int64
	// contains filtered or unexported fields
}

DeleteCategoryIDURL generates an URL for the delete category ID operation

func (*DeleteCategoryIDURL) Build

func (o *DeleteCategoryIDURL) Build() (*url.URL, error)

Build a url path and query string

func (*DeleteCategoryIDURL) BuildFull

func (o *DeleteCategoryIDURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*DeleteCategoryIDURL) Must

func (o *DeleteCategoryIDURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*DeleteCategoryIDURL) SetBasePath

func (o *DeleteCategoryIDURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*DeleteCategoryIDURL) String

func (o *DeleteCategoryIDURL) String() string

String returns the string representation of the path with query string

func (*DeleteCategoryIDURL) StringFull

func (o *DeleteCategoryIDURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*DeleteCategoryIDURL) WithBasePath

func (o *DeleteCategoryIDURL) WithBasePath(bp string) *DeleteCategoryIDURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type DeleteMultiChoiceID

type DeleteMultiChoiceID struct {
	Context *middleware.Context
	Handler DeleteMultiChoiceIDHandler
}
DeleteMultiChoiceID swagger:route DELETE /multi_choice/{id} category deleteMultiChoiceId

DeleteMultiChoiceID delete multi choice ID API

func NewDeleteMultiChoiceID

func NewDeleteMultiChoiceID(ctx *middleware.Context, handler DeleteMultiChoiceIDHandler) *DeleteMultiChoiceID

NewDeleteMultiChoiceID creates a new http.Handler for the delete multi choice ID operation

func (*DeleteMultiChoiceID) ServeHTTP

func (o *DeleteMultiChoiceID) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type DeleteMultiChoiceIDDefault

type DeleteMultiChoiceIDDefault struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

DeleteMultiChoiceIDDefault Error

swagger:response deleteMultiChoiceIdDefault

func NewDeleteMultiChoiceIDDefault

func NewDeleteMultiChoiceIDDefault(code int) *DeleteMultiChoiceIDDefault

NewDeleteMultiChoiceIDDefault creates DeleteMultiChoiceIDDefault with default headers values

func (*DeleteMultiChoiceIDDefault) SetPayload

func (o *DeleteMultiChoiceIDDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the delete multi choice ID default response

func (*DeleteMultiChoiceIDDefault) SetStatusCode

func (o *DeleteMultiChoiceIDDefault) SetStatusCode(code int)

SetStatusCode sets the status to the delete multi choice ID default response

func (*DeleteMultiChoiceIDDefault) WithPayload

WithPayload adds the payload to the delete multi choice ID default response

func (*DeleteMultiChoiceIDDefault) WithStatusCode

WithStatusCode adds the status to the delete multi choice ID default response

func (*DeleteMultiChoiceIDDefault) WriteResponse

func (o *DeleteMultiChoiceIDDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type DeleteMultiChoiceIDHandler

type DeleteMultiChoiceIDHandler interface {
	Handle(DeleteMultiChoiceIDParams, *schemas.User) middleware.Responder
}

DeleteMultiChoiceIDHandler interface for that can handle valid delete multi choice ID params

type DeleteMultiChoiceIDHandlerFunc

type DeleteMultiChoiceIDHandlerFunc func(DeleteMultiChoiceIDParams, *schemas.User) middleware.Responder

DeleteMultiChoiceIDHandlerFunc turns a function with the right signature into a delete multi choice ID handler

func (DeleteMultiChoiceIDHandlerFunc) Handle

Handle executing the request and returning a response

type DeleteMultiChoiceIDNoContent

type DeleteMultiChoiceIDNoContent struct {
}

DeleteMultiChoiceIDNoContent Deleted

swagger:response deleteMultiChoiceIdNoContent

func NewDeleteMultiChoiceIDNoContent

func NewDeleteMultiChoiceIDNoContent() *DeleteMultiChoiceIDNoContent

NewDeleteMultiChoiceIDNoContent creates DeleteMultiChoiceIDNoContent with default headers values

func (*DeleteMultiChoiceIDNoContent) WriteResponse

func (o *DeleteMultiChoiceIDNoContent) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type DeleteMultiChoiceIDParams

type DeleteMultiChoiceIDParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  Required: true
	  In: path
	*/
	ID int64
}

DeleteMultiChoiceIDParams contains all the bound params for the delete multi choice ID operation typically these are obtained from a http.Request

swagger:parameters DeleteMultiChoiceID

func NewDeleteMultiChoiceIDParams

func NewDeleteMultiChoiceIDParams() DeleteMultiChoiceIDParams

NewDeleteMultiChoiceIDParams creates a new DeleteMultiChoiceIDParams object

There are no default values defined in the spec.

func (*DeleteMultiChoiceIDParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewDeleteMultiChoiceIDParams() beforehand.

type DeleteMultiChoiceIDURL

type DeleteMultiChoiceIDURL struct {
	ID int64
	// contains filtered or unexported fields
}

DeleteMultiChoiceIDURL generates an URL for the delete multi choice ID operation

func (*DeleteMultiChoiceIDURL) Build

func (o *DeleteMultiChoiceIDURL) Build() (*url.URL, error)

Build a url path and query string

func (*DeleteMultiChoiceIDURL) BuildFull

func (o *DeleteMultiChoiceIDURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*DeleteMultiChoiceIDURL) Must

func (o *DeleteMultiChoiceIDURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*DeleteMultiChoiceIDURL) SetBasePath

func (o *DeleteMultiChoiceIDURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*DeleteMultiChoiceIDURL) String

func (o *DeleteMultiChoiceIDURL) String() string

String returns the string representation of the path with query string

func (*DeleteMultiChoiceIDURL) StringFull

func (o *DeleteMultiChoiceIDURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*DeleteMultiChoiceIDURL) WithBasePath

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type DeleteSingleChoiceGroupID

type DeleteSingleChoiceGroupID struct {
	Context *middleware.Context
	Handler DeleteSingleChoiceGroupIDHandler
}
DeleteSingleChoiceGroupID swagger:route DELETE /single_choice_group/{id} category deleteSingleChoiceGroupId

DeleteSingleChoiceGroupID delete single choice group ID API

func NewDeleteSingleChoiceGroupID

func NewDeleteSingleChoiceGroupID(ctx *middleware.Context, handler DeleteSingleChoiceGroupIDHandler) *DeleteSingleChoiceGroupID

NewDeleteSingleChoiceGroupID creates a new http.Handler for the delete single choice group ID operation

func (*DeleteSingleChoiceGroupID) ServeHTTP

type DeleteSingleChoiceGroupIDDefault

type DeleteSingleChoiceGroupIDDefault struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

DeleteSingleChoiceGroupIDDefault Error

swagger:response deleteSingleChoiceGroupIdDefault

func NewDeleteSingleChoiceGroupIDDefault

func NewDeleteSingleChoiceGroupIDDefault(code int) *DeleteSingleChoiceGroupIDDefault

NewDeleteSingleChoiceGroupIDDefault creates DeleteSingleChoiceGroupIDDefault with default headers values

func (*DeleteSingleChoiceGroupIDDefault) SetPayload

func (o *DeleteSingleChoiceGroupIDDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the delete single choice group ID default response

func (*DeleteSingleChoiceGroupIDDefault) SetStatusCode

func (o *DeleteSingleChoiceGroupIDDefault) SetStatusCode(code int)

SetStatusCode sets the status to the delete single choice group ID default response

func (*DeleteSingleChoiceGroupIDDefault) WithPayload

WithPayload adds the payload to the delete single choice group ID default response

func (*DeleteSingleChoiceGroupIDDefault) WithStatusCode

WithStatusCode adds the status to the delete single choice group ID default response

func (*DeleteSingleChoiceGroupIDDefault) WriteResponse

func (o *DeleteSingleChoiceGroupIDDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type DeleteSingleChoiceGroupIDHandler

type DeleteSingleChoiceGroupIDHandler interface {
	Handle(DeleteSingleChoiceGroupIDParams, *schemas.User) middleware.Responder
}

DeleteSingleChoiceGroupIDHandler interface for that can handle valid delete single choice group ID params

type DeleteSingleChoiceGroupIDHandlerFunc

type DeleteSingleChoiceGroupIDHandlerFunc func(DeleteSingleChoiceGroupIDParams, *schemas.User) middleware.Responder

DeleteSingleChoiceGroupIDHandlerFunc turns a function with the right signature into a delete single choice group ID handler

func (DeleteSingleChoiceGroupIDHandlerFunc) Handle

Handle executing the request and returning a response

type DeleteSingleChoiceGroupIDNoContent

type DeleteSingleChoiceGroupIDNoContent struct {
}

DeleteSingleChoiceGroupIDNoContent Deleted

swagger:response deleteSingleChoiceGroupIdNoContent

func NewDeleteSingleChoiceGroupIDNoContent

func NewDeleteSingleChoiceGroupIDNoContent() *DeleteSingleChoiceGroupIDNoContent

NewDeleteSingleChoiceGroupIDNoContent creates DeleteSingleChoiceGroupIDNoContent with default headers values

func (*DeleteSingleChoiceGroupIDNoContent) WriteResponse

WriteResponse to the client

type DeleteSingleChoiceGroupIDParams

type DeleteSingleChoiceGroupIDParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  Required: true
	  In: path
	*/
	ID int64
}

DeleteSingleChoiceGroupIDParams contains all the bound params for the delete single choice group ID operation typically these are obtained from a http.Request

swagger:parameters DeleteSingleChoiceGroupID

func NewDeleteSingleChoiceGroupIDParams

func NewDeleteSingleChoiceGroupIDParams() DeleteSingleChoiceGroupIDParams

NewDeleteSingleChoiceGroupIDParams creates a new DeleteSingleChoiceGroupIDParams object

There are no default values defined in the spec.

func (*DeleteSingleChoiceGroupIDParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewDeleteSingleChoiceGroupIDParams() beforehand.

type DeleteSingleChoiceGroupIDURL

type DeleteSingleChoiceGroupIDURL struct {
	ID int64
	// contains filtered or unexported fields
}

DeleteSingleChoiceGroupIDURL generates an URL for the delete single choice group ID operation

func (*DeleteSingleChoiceGroupIDURL) Build

func (o *DeleteSingleChoiceGroupIDURL) Build() (*url.URL, error)

Build a url path and query string

func (*DeleteSingleChoiceGroupIDURL) BuildFull

func (o *DeleteSingleChoiceGroupIDURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*DeleteSingleChoiceGroupIDURL) Must

func (o *DeleteSingleChoiceGroupIDURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*DeleteSingleChoiceGroupIDURL) SetBasePath

func (o *DeleteSingleChoiceGroupIDURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*DeleteSingleChoiceGroupIDURL) String

String returns the string representation of the path with query string

func (*DeleteSingleChoiceGroupIDURL) StringFull

func (o *DeleteSingleChoiceGroupIDURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*DeleteSingleChoiceGroupIDURL) WithBasePath

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type DeleteSingleChoiceID

type DeleteSingleChoiceID struct {
	Context *middleware.Context
	Handler DeleteSingleChoiceIDHandler
}
DeleteSingleChoiceID swagger:route DELETE /single_choice/{id} category deleteSingleChoiceId

DeleteSingleChoiceID delete single choice ID API

func NewDeleteSingleChoiceID

func NewDeleteSingleChoiceID(ctx *middleware.Context, handler DeleteSingleChoiceIDHandler) *DeleteSingleChoiceID

NewDeleteSingleChoiceID creates a new http.Handler for the delete single choice ID operation

func (*DeleteSingleChoiceID) ServeHTTP

func (o *DeleteSingleChoiceID) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type DeleteSingleChoiceIDDefault

type DeleteSingleChoiceIDDefault struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

DeleteSingleChoiceIDDefault Error

swagger:response deleteSingleChoiceIdDefault

func NewDeleteSingleChoiceIDDefault

func NewDeleteSingleChoiceIDDefault(code int) *DeleteSingleChoiceIDDefault

NewDeleteSingleChoiceIDDefault creates DeleteSingleChoiceIDDefault with default headers values

func (*DeleteSingleChoiceIDDefault) SetPayload

func (o *DeleteSingleChoiceIDDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the delete single choice ID default response

func (*DeleteSingleChoiceIDDefault) SetStatusCode

func (o *DeleteSingleChoiceIDDefault) SetStatusCode(code int)

SetStatusCode sets the status to the delete single choice ID default response

func (*DeleteSingleChoiceIDDefault) WithPayload

WithPayload adds the payload to the delete single choice ID default response

func (*DeleteSingleChoiceIDDefault) WithStatusCode

WithStatusCode adds the status to the delete single choice ID default response

func (*DeleteSingleChoiceIDDefault) WriteResponse

func (o *DeleteSingleChoiceIDDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type DeleteSingleChoiceIDHandler

type DeleteSingleChoiceIDHandler interface {
	Handle(DeleteSingleChoiceIDParams, *schemas.User) middleware.Responder
}

DeleteSingleChoiceIDHandler interface for that can handle valid delete single choice ID params

type DeleteSingleChoiceIDHandlerFunc

type DeleteSingleChoiceIDHandlerFunc func(DeleteSingleChoiceIDParams, *schemas.User) middleware.Responder

DeleteSingleChoiceIDHandlerFunc turns a function with the right signature into a delete single choice ID handler

func (DeleteSingleChoiceIDHandlerFunc) Handle

Handle executing the request and returning a response

type DeleteSingleChoiceIDNoContent

type DeleteSingleChoiceIDNoContent struct {
}

DeleteSingleChoiceIDNoContent Deleted

swagger:response deleteSingleChoiceIdNoContent

func NewDeleteSingleChoiceIDNoContent

func NewDeleteSingleChoiceIDNoContent() *DeleteSingleChoiceIDNoContent

NewDeleteSingleChoiceIDNoContent creates DeleteSingleChoiceIDNoContent with default headers values

func (*DeleteSingleChoiceIDNoContent) WriteResponse

func (o *DeleteSingleChoiceIDNoContent) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type DeleteSingleChoiceIDParams

type DeleteSingleChoiceIDParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  Required: true
	  In: path
	*/
	ID int64
}

DeleteSingleChoiceIDParams contains all the bound params for the delete single choice ID operation typically these are obtained from a http.Request

swagger:parameters DeleteSingleChoiceID

func NewDeleteSingleChoiceIDParams

func NewDeleteSingleChoiceIDParams() DeleteSingleChoiceIDParams

NewDeleteSingleChoiceIDParams creates a new DeleteSingleChoiceIDParams object

There are no default values defined in the spec.

func (*DeleteSingleChoiceIDParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewDeleteSingleChoiceIDParams() beforehand.

type DeleteSingleChoiceIDURL

type DeleteSingleChoiceIDURL struct {
	ID int64
	// contains filtered or unexported fields
}

DeleteSingleChoiceIDURL generates an URL for the delete single choice ID operation

func (*DeleteSingleChoiceIDURL) Build

func (o *DeleteSingleChoiceIDURL) Build() (*url.URL, error)

Build a url path and query string

func (*DeleteSingleChoiceIDURL) BuildFull

func (o *DeleteSingleChoiceIDURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*DeleteSingleChoiceIDURL) Must

func (o *DeleteSingleChoiceIDURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*DeleteSingleChoiceIDURL) SetBasePath

func (o *DeleteSingleChoiceIDURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*DeleteSingleChoiceIDURL) String

func (o *DeleteSingleChoiceIDURL) String() string

String returns the string representation of the path with query string

func (*DeleteSingleChoiceIDURL) StringFull

func (o *DeleteSingleChoiceIDURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*DeleteSingleChoiceIDURL) WithBasePath

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetCategory

type GetCategory struct {
	Context *middleware.Context
	Handler GetCategoryHandler
}
GetCategory swagger:route GET /category/ category getCategory

GetCategory get category API

func NewGetCategory

func NewGetCategory(ctx *middleware.Context, handler GetCategoryHandler) *GetCategory

NewGetCategory creates a new http.Handler for the get category operation

func (*GetCategory) ServeHTTP

func (o *GetCategory) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetCategoryCategoryIDMultiChoice

type GetCategoryCategoryIDMultiChoice struct {
	Context *middleware.Context
	Handler GetCategoryCategoryIDMultiChoiceHandler
}
GetCategoryCategoryIDMultiChoice swagger:route GET /category/{category_id}/multi_choice/ category getCategoryCategoryIdMultiChoice

GetCategoryCategoryIDMultiChoice get category category ID multi choice API

func NewGetCategoryCategoryIDMultiChoice

func NewGetCategoryCategoryIDMultiChoice(ctx *middleware.Context, handler GetCategoryCategoryIDMultiChoiceHandler) *GetCategoryCategoryIDMultiChoice

NewGetCategoryCategoryIDMultiChoice creates a new http.Handler for the get category category ID multi choice operation

func (*GetCategoryCategoryIDMultiChoice) ServeHTTP

type GetCategoryCategoryIDMultiChoiceDefault

type GetCategoryCategoryIDMultiChoiceDefault struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

GetCategoryCategoryIDMultiChoiceDefault Error

swagger:response getCategoryCategoryIdMultiChoiceDefault

func NewGetCategoryCategoryIDMultiChoiceDefault

func NewGetCategoryCategoryIDMultiChoiceDefault(code int) *GetCategoryCategoryIDMultiChoiceDefault

NewGetCategoryCategoryIDMultiChoiceDefault creates GetCategoryCategoryIDMultiChoiceDefault with default headers values

func (*GetCategoryCategoryIDMultiChoiceDefault) SetPayload

func (o *GetCategoryCategoryIDMultiChoiceDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the get category category ID multi choice default response

func (*GetCategoryCategoryIDMultiChoiceDefault) SetStatusCode

func (o *GetCategoryCategoryIDMultiChoiceDefault) SetStatusCode(code int)

SetStatusCode sets the status to the get category category ID multi choice default response

func (*GetCategoryCategoryIDMultiChoiceDefault) WithPayload

WithPayload adds the payload to the get category category ID multi choice default response

func (*GetCategoryCategoryIDMultiChoiceDefault) WithStatusCode

WithStatusCode adds the status to the get category category ID multi choice default response

func (*GetCategoryCategoryIDMultiChoiceDefault) WriteResponse

WriteResponse to the client

type GetCategoryCategoryIDMultiChoiceHandler

type GetCategoryCategoryIDMultiChoiceHandler interface {
	Handle(GetCategoryCategoryIDMultiChoiceParams, *schemas.User) middleware.Responder
}

GetCategoryCategoryIDMultiChoiceHandler interface for that can handle valid get category category ID multi choice params

type GetCategoryCategoryIDMultiChoiceHandlerFunc

type GetCategoryCategoryIDMultiChoiceHandlerFunc func(GetCategoryCategoryIDMultiChoiceParams, *schemas.User) middleware.Responder

GetCategoryCategoryIDMultiChoiceHandlerFunc turns a function with the right signature into a get category category ID multi choice handler

func (GetCategoryCategoryIDMultiChoiceHandlerFunc) Handle

Handle executing the request and returning a response

type GetCategoryCategoryIDMultiChoiceOK

type GetCategoryCategoryIDMultiChoiceOK struct {

	/*
	  In: Body
	*/
	Payload []*models.CategoryMultiChoice `json:"body,omitempty"`
}

GetCategoryCategoryIDMultiChoiceOK List of multi choices

swagger:response getCategoryCategoryIdMultiChoiceOK

func NewGetCategoryCategoryIDMultiChoiceOK

func NewGetCategoryCategoryIDMultiChoiceOK() *GetCategoryCategoryIDMultiChoiceOK

NewGetCategoryCategoryIDMultiChoiceOK creates GetCategoryCategoryIDMultiChoiceOK with default headers values

func (*GetCategoryCategoryIDMultiChoiceOK) SetPayload

SetPayload sets the payload to the get category category Id multi choice o k response

func (*GetCategoryCategoryIDMultiChoiceOK) WithPayload

WithPayload adds the payload to the get category category Id multi choice o k response

func (*GetCategoryCategoryIDMultiChoiceOK) WriteResponse

WriteResponse to the client

type GetCategoryCategoryIDMultiChoiceParams

type GetCategoryCategoryIDMultiChoiceParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  Required: true
	  In: path
	*/
	CategoryID int64
	/*
	  In: query
	  Default: 0
	*/
	First *int32
	/*
	  In: query
	*/
	Limit *int32
}

GetCategoryCategoryIDMultiChoiceParams contains all the bound params for the get category category ID multi choice operation typically these are obtained from a http.Request

swagger:parameters GetCategoryCategoryIDMultiChoice

func NewGetCategoryCategoryIDMultiChoiceParams

func NewGetCategoryCategoryIDMultiChoiceParams() GetCategoryCategoryIDMultiChoiceParams

NewGetCategoryCategoryIDMultiChoiceParams creates a new GetCategoryCategoryIDMultiChoiceParams object with the default values initialized.

func (*GetCategoryCategoryIDMultiChoiceParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetCategoryCategoryIDMultiChoiceParams() beforehand.

type GetCategoryCategoryIDMultiChoiceURL

type GetCategoryCategoryIDMultiChoiceURL struct {
	CategoryID int64

	First *int32
	Limit *int32
	// contains filtered or unexported fields
}

GetCategoryCategoryIDMultiChoiceURL generates an URL for the get category category ID multi choice operation

func (*GetCategoryCategoryIDMultiChoiceURL) Build

Build a url path and query string

func (*GetCategoryCategoryIDMultiChoiceURL) BuildFull

func (o *GetCategoryCategoryIDMultiChoiceURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetCategoryCategoryIDMultiChoiceURL) Must

Must is a helper function to panic when the url builder returns an error

func (*GetCategoryCategoryIDMultiChoiceURL) SetBasePath

func (o *GetCategoryCategoryIDMultiChoiceURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetCategoryCategoryIDMultiChoiceURL) String

String returns the string representation of the path with query string

func (*GetCategoryCategoryIDMultiChoiceURL) StringFull

func (o *GetCategoryCategoryIDMultiChoiceURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetCategoryCategoryIDMultiChoiceURL) WithBasePath

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetCategoryCategoryIDSingleChoiceGroup

type GetCategoryCategoryIDSingleChoiceGroup struct {
	Context *middleware.Context
	Handler GetCategoryCategoryIDSingleChoiceGroupHandler
}
GetCategoryCategoryIDSingleChoiceGroup swagger:route GET /category/{category_id}/single_choice_group/ category getCategoryCategoryIdSingleChoiceGroup

GetCategoryCategoryIDSingleChoiceGroup get category category ID single choice group API

func NewGetCategoryCategoryIDSingleChoiceGroup

func NewGetCategoryCategoryIDSingleChoiceGroup(ctx *middleware.Context, handler GetCategoryCategoryIDSingleChoiceGroupHandler) *GetCategoryCategoryIDSingleChoiceGroup

NewGetCategoryCategoryIDSingleChoiceGroup creates a new http.Handler for the get category category ID single choice group operation

func (*GetCategoryCategoryIDSingleChoiceGroup) ServeHTTP

type GetCategoryCategoryIDSingleChoiceGroupDefault

type GetCategoryCategoryIDSingleChoiceGroupDefault struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

GetCategoryCategoryIDSingleChoiceGroupDefault Error

swagger:response getCategoryCategoryIdSingleChoiceGroupDefault

func NewGetCategoryCategoryIDSingleChoiceGroupDefault

func NewGetCategoryCategoryIDSingleChoiceGroupDefault(code int) *GetCategoryCategoryIDSingleChoiceGroupDefault

NewGetCategoryCategoryIDSingleChoiceGroupDefault creates GetCategoryCategoryIDSingleChoiceGroupDefault with default headers values

func (*GetCategoryCategoryIDSingleChoiceGroupDefault) SetPayload

SetPayload sets the payload to the get category category ID single choice group default response

func (*GetCategoryCategoryIDSingleChoiceGroupDefault) SetStatusCode

func (o *GetCategoryCategoryIDSingleChoiceGroupDefault) SetStatusCode(code int)

SetStatusCode sets the status to the get category category ID single choice group default response

func (*GetCategoryCategoryIDSingleChoiceGroupDefault) WithPayload

WithPayload adds the payload to the get category category ID single choice group default response

func (*GetCategoryCategoryIDSingleChoiceGroupDefault) WithStatusCode

WithStatusCode adds the status to the get category category ID single choice group default response

func (*GetCategoryCategoryIDSingleChoiceGroupDefault) WriteResponse

WriteResponse to the client

type GetCategoryCategoryIDSingleChoiceGroupHandler

type GetCategoryCategoryIDSingleChoiceGroupHandler interface {
	Handle(GetCategoryCategoryIDSingleChoiceGroupParams, *schemas.User) middleware.Responder
}

GetCategoryCategoryIDSingleChoiceGroupHandler interface for that can handle valid get category category ID single choice group params

type GetCategoryCategoryIDSingleChoiceGroupHandlerFunc

type GetCategoryCategoryIDSingleChoiceGroupHandlerFunc func(GetCategoryCategoryIDSingleChoiceGroupParams, *schemas.User) middleware.Responder

GetCategoryCategoryIDSingleChoiceGroupHandlerFunc turns a function with the right signature into a get category category ID single choice group handler

func (GetCategoryCategoryIDSingleChoiceGroupHandlerFunc) Handle

Handle executing the request and returning a response

type GetCategoryCategoryIDSingleChoiceGroupOK

type GetCategoryCategoryIDSingleChoiceGroupOK struct {

	/*
	  In: Body
	*/
	Payload []*models.CategorySingleChoiceGroup `json:"body,omitempty"`
}

GetCategoryCategoryIDSingleChoiceGroupOK List of single choice groups

swagger:response getCategoryCategoryIdSingleChoiceGroupOK

func NewGetCategoryCategoryIDSingleChoiceGroupOK

func NewGetCategoryCategoryIDSingleChoiceGroupOK() *GetCategoryCategoryIDSingleChoiceGroupOK

NewGetCategoryCategoryIDSingleChoiceGroupOK creates GetCategoryCategoryIDSingleChoiceGroupOK with default headers values

func (*GetCategoryCategoryIDSingleChoiceGroupOK) SetPayload

SetPayload sets the payload to the get category category Id single choice group o k response

func (*GetCategoryCategoryIDSingleChoiceGroupOK) WithPayload

WithPayload adds the payload to the get category category Id single choice group o k response

func (*GetCategoryCategoryIDSingleChoiceGroupOK) WriteResponse

WriteResponse to the client

type GetCategoryCategoryIDSingleChoiceGroupParams

type GetCategoryCategoryIDSingleChoiceGroupParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  Required: true
	  In: path
	*/
	CategoryID int64
	/*
	  In: query
	  Default: 0
	*/
	First *int32
	/*
	  In: query
	*/
	Limit *int32
}

GetCategoryCategoryIDSingleChoiceGroupParams contains all the bound params for the get category category ID single choice group operation typically these are obtained from a http.Request

swagger:parameters GetCategoryCategoryIDSingleChoiceGroup

func NewGetCategoryCategoryIDSingleChoiceGroupParams

func NewGetCategoryCategoryIDSingleChoiceGroupParams() GetCategoryCategoryIDSingleChoiceGroupParams

NewGetCategoryCategoryIDSingleChoiceGroupParams creates a new GetCategoryCategoryIDSingleChoiceGroupParams object with the default values initialized.

func (*GetCategoryCategoryIDSingleChoiceGroupParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetCategoryCategoryIDSingleChoiceGroupParams() beforehand.

type GetCategoryCategoryIDSingleChoiceGroupURL

type GetCategoryCategoryIDSingleChoiceGroupURL struct {
	CategoryID int64

	First *int32
	Limit *int32
	// contains filtered or unexported fields
}

GetCategoryCategoryIDSingleChoiceGroupURL generates an URL for the get category category ID single choice group operation

func (*GetCategoryCategoryIDSingleChoiceGroupURL) Build

Build a url path and query string

func (*GetCategoryCategoryIDSingleChoiceGroupURL) BuildFull

func (o *GetCategoryCategoryIDSingleChoiceGroupURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetCategoryCategoryIDSingleChoiceGroupURL) Must

Must is a helper function to panic when the url builder returns an error

func (*GetCategoryCategoryIDSingleChoiceGroupURL) SetBasePath

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetCategoryCategoryIDSingleChoiceGroupURL) String

String returns the string representation of the path with query string

func (*GetCategoryCategoryIDSingleChoiceGroupURL) StringFull

func (o *GetCategoryCategoryIDSingleChoiceGroupURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetCategoryCategoryIDSingleChoiceGroupURL) WithBasePath

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetCategoryDefault

type GetCategoryDefault struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

GetCategoryDefault Error

swagger:response getCategoryDefault

func NewGetCategoryDefault

func NewGetCategoryDefault(code int) *GetCategoryDefault

NewGetCategoryDefault creates GetCategoryDefault with default headers values

func (*GetCategoryDefault) SetPayload

func (o *GetCategoryDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the get category default response

func (*GetCategoryDefault) SetStatusCode

func (o *GetCategoryDefault) SetStatusCode(code int)

SetStatusCode sets the status to the get category default response

func (*GetCategoryDefault) WithPayload

func (o *GetCategoryDefault) WithPayload(payload *models.Error) *GetCategoryDefault

WithPayload adds the payload to the get category default response

func (*GetCategoryDefault) WithStatusCode

func (o *GetCategoryDefault) WithStatusCode(code int) *GetCategoryDefault

WithStatusCode adds the status to the get category default response

func (*GetCategoryDefault) WriteResponse

func (o *GetCategoryDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetCategoryHandler

type GetCategoryHandler interface {
	Handle(GetCategoryParams, *schemas.User) middleware.Responder
}

GetCategoryHandler interface for that can handle valid get category params

type GetCategoryHandlerFunc

type GetCategoryHandlerFunc func(GetCategoryParams, *schemas.User) middleware.Responder

GetCategoryHandlerFunc turns a function with the right signature into a get category handler

func (GetCategoryHandlerFunc) Handle

Handle executing the request and returning a response

type GetCategoryID

type GetCategoryID struct {
	Context *middleware.Context
	Handler GetCategoryIDHandler
}
GetCategoryID swagger:route GET /category/{id} category getCategoryId

GetCategoryID get category ID API

func NewGetCategoryID

func NewGetCategoryID(ctx *middleware.Context, handler GetCategoryIDHandler) *GetCategoryID

NewGetCategoryID creates a new http.Handler for the get category ID operation

func (*GetCategoryID) ServeHTTP

func (o *GetCategoryID) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetCategoryIDDefault

type GetCategoryIDDefault struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

GetCategoryIDDefault Error

swagger:response getCategoryIdDefault

func NewGetCategoryIDDefault

func NewGetCategoryIDDefault(code int) *GetCategoryIDDefault

NewGetCategoryIDDefault creates GetCategoryIDDefault with default headers values

func (*GetCategoryIDDefault) SetPayload

func (o *GetCategoryIDDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the get category ID default response

func (*GetCategoryIDDefault) SetStatusCode

func (o *GetCategoryIDDefault) SetStatusCode(code int)

SetStatusCode sets the status to the get category ID default response

func (*GetCategoryIDDefault) WithPayload

func (o *GetCategoryIDDefault) WithPayload(payload *models.Error) *GetCategoryIDDefault

WithPayload adds the payload to the get category ID default response

func (*GetCategoryIDDefault) WithStatusCode

func (o *GetCategoryIDDefault) WithStatusCode(code int) *GetCategoryIDDefault

WithStatusCode adds the status to the get category ID default response

func (*GetCategoryIDDefault) WriteResponse

func (o *GetCategoryIDDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetCategoryIDHandler

type GetCategoryIDHandler interface {
	Handle(GetCategoryIDParams, *schemas.User) middleware.Responder
}

GetCategoryIDHandler interface for that can handle valid get category ID params

type GetCategoryIDHandlerFunc

type GetCategoryIDHandlerFunc func(GetCategoryIDParams, *schemas.User) middleware.Responder

GetCategoryIDHandlerFunc turns a function with the right signature into a get category ID handler

func (GetCategoryIDHandlerFunc) Handle

Handle executing the request and returning a response

type GetCategoryIDOK

type GetCategoryIDOK struct {

	/*
	  In: Body
	*/
	Payload *models.Category `json:"body,omitempty"`
}

GetCategoryIDOK OK

swagger:response getCategoryIdOK

func NewGetCategoryIDOK

func NewGetCategoryIDOK() *GetCategoryIDOK

NewGetCategoryIDOK creates GetCategoryIDOK with default headers values

func (*GetCategoryIDOK) SetPayload

func (o *GetCategoryIDOK) SetPayload(payload *models.Category)

SetPayload sets the payload to the get category Id o k response

func (*GetCategoryIDOK) WithPayload

func (o *GetCategoryIDOK) WithPayload(payload *models.Category) *GetCategoryIDOK

WithPayload adds the payload to the get category Id o k response

func (*GetCategoryIDOK) WriteResponse

func (o *GetCategoryIDOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetCategoryIDParams

type GetCategoryIDParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  Required: true
	  In: path
	*/
	ID int64
}

GetCategoryIDParams contains all the bound params for the get category ID operation typically these are obtained from a http.Request

swagger:parameters GetCategoryID

func NewGetCategoryIDParams

func NewGetCategoryIDParams() GetCategoryIDParams

NewGetCategoryIDParams creates a new GetCategoryIDParams object

There are no default values defined in the spec.

func (*GetCategoryIDParams) BindRequest

func (o *GetCategoryIDParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetCategoryIDParams() beforehand.

type GetCategoryIDURL

type GetCategoryIDURL struct {
	ID int64
	// contains filtered or unexported fields
}

GetCategoryIDURL generates an URL for the get category ID operation

func (*GetCategoryIDURL) Build

func (o *GetCategoryIDURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetCategoryIDURL) BuildFull

func (o *GetCategoryIDURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetCategoryIDURL) Must

func (o *GetCategoryIDURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetCategoryIDURL) SetBasePath

func (o *GetCategoryIDURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetCategoryIDURL) String

func (o *GetCategoryIDURL) String() string

String returns the string representation of the path with query string

func (*GetCategoryIDURL) StringFull

func (o *GetCategoryIDURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetCategoryIDURL) WithBasePath

func (o *GetCategoryIDURL) WithBasePath(bp string) *GetCategoryIDURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetCategoryOK

type GetCategoryOK struct {

	/*
	  In: Body
	*/
	Payload []*models.Category `json:"body,omitempty"`
}

GetCategoryOK List of categories

swagger:response getCategoryOK

func NewGetCategoryOK

func NewGetCategoryOK() *GetCategoryOK

NewGetCategoryOK creates GetCategoryOK with default headers values

func (*GetCategoryOK) SetPayload

func (o *GetCategoryOK) SetPayload(payload []*models.Category)

SetPayload sets the payload to the get category o k response

func (*GetCategoryOK) WithPayload

func (o *GetCategoryOK) WithPayload(payload []*models.Category) *GetCategoryOK

WithPayload adds the payload to the get category o k response

func (*GetCategoryOK) WriteResponse

func (o *GetCategoryOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetCategoryParams

type GetCategoryParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  In: query
	  Default: 0
	*/
	First *int32
	/*
	  In: query
	*/
	Limit *int32
}

GetCategoryParams contains all the bound params for the get category operation typically these are obtained from a http.Request

swagger:parameters GetCategory

func NewGetCategoryParams

func NewGetCategoryParams() GetCategoryParams

NewGetCategoryParams creates a new GetCategoryParams object with the default values initialized.

func (*GetCategoryParams) BindRequest

func (o *GetCategoryParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetCategoryParams() beforehand.

type GetCategoryURL

type GetCategoryURL struct {
	First *int32
	Limit *int32
	// contains filtered or unexported fields
}

GetCategoryURL generates an URL for the get category operation

func (*GetCategoryURL) Build

func (o *GetCategoryURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetCategoryURL) BuildFull

func (o *GetCategoryURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetCategoryURL) Must

func (o *GetCategoryURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetCategoryURL) SetBasePath

func (o *GetCategoryURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetCategoryURL) String

func (o *GetCategoryURL) String() string

String returns the string representation of the path with query string

func (*GetCategoryURL) StringFull

func (o *GetCategoryURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetCategoryURL) WithBasePath

func (o *GetCategoryURL) WithBasePath(bp string) *GetCategoryURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetMultiChoiceID

type GetMultiChoiceID struct {
	Context *middleware.Context
	Handler GetMultiChoiceIDHandler
}
GetMultiChoiceID swagger:route GET /multi_choice/{id} category getMultiChoiceId

GetMultiChoiceID get multi choice ID API

func NewGetMultiChoiceID

func NewGetMultiChoiceID(ctx *middleware.Context, handler GetMultiChoiceIDHandler) *GetMultiChoiceID

NewGetMultiChoiceID creates a new http.Handler for the get multi choice ID operation

func (*GetMultiChoiceID) ServeHTTP

func (o *GetMultiChoiceID) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetMultiChoiceIDDefault

type GetMultiChoiceIDDefault struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

GetMultiChoiceIDDefault Error

swagger:response getMultiChoiceIdDefault

func NewGetMultiChoiceIDDefault

func NewGetMultiChoiceIDDefault(code int) *GetMultiChoiceIDDefault

NewGetMultiChoiceIDDefault creates GetMultiChoiceIDDefault with default headers values

func (*GetMultiChoiceIDDefault) SetPayload

func (o *GetMultiChoiceIDDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the get multi choice ID default response

func (*GetMultiChoiceIDDefault) SetStatusCode

func (o *GetMultiChoiceIDDefault) SetStatusCode(code int)

SetStatusCode sets the status to the get multi choice ID default response

func (*GetMultiChoiceIDDefault) WithPayload

func (o *GetMultiChoiceIDDefault) WithPayload(payload *models.Error) *GetMultiChoiceIDDefault

WithPayload adds the payload to the get multi choice ID default response

func (*GetMultiChoiceIDDefault) WithStatusCode

func (o *GetMultiChoiceIDDefault) WithStatusCode(code int) *GetMultiChoiceIDDefault

WithStatusCode adds the status to the get multi choice ID default response

func (*GetMultiChoiceIDDefault) WriteResponse

func (o *GetMultiChoiceIDDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetMultiChoiceIDHandler

type GetMultiChoiceIDHandler interface {
	Handle(GetMultiChoiceIDParams, *schemas.User) middleware.Responder
}

GetMultiChoiceIDHandler interface for that can handle valid get multi choice ID params

type GetMultiChoiceIDHandlerFunc

type GetMultiChoiceIDHandlerFunc func(GetMultiChoiceIDParams, *schemas.User) middleware.Responder

GetMultiChoiceIDHandlerFunc turns a function with the right signature into a get multi choice ID handler

func (GetMultiChoiceIDHandlerFunc) Handle

Handle executing the request and returning a response

type GetMultiChoiceIDOK

type GetMultiChoiceIDOK struct {

	/*
	  In: Body
	*/
	Payload *models.CategoryMultiChoice `json:"body,omitempty"`
}

GetMultiChoiceIDOK OK

swagger:response getMultiChoiceIdOK

func NewGetMultiChoiceIDOK

func NewGetMultiChoiceIDOK() *GetMultiChoiceIDOK

NewGetMultiChoiceIDOK creates GetMultiChoiceIDOK with default headers values

func (*GetMultiChoiceIDOK) SetPayload

func (o *GetMultiChoiceIDOK) SetPayload(payload *models.CategoryMultiChoice)

SetPayload sets the payload to the get multi choice Id o k response

func (*GetMultiChoiceIDOK) WithPayload

WithPayload adds the payload to the get multi choice Id o k response

func (*GetMultiChoiceIDOK) WriteResponse

func (o *GetMultiChoiceIDOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetMultiChoiceIDParams

type GetMultiChoiceIDParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  Required: true
	  In: path
	*/
	ID int64
}

GetMultiChoiceIDParams contains all the bound params for the get multi choice ID operation typically these are obtained from a http.Request

swagger:parameters GetMultiChoiceID

func NewGetMultiChoiceIDParams

func NewGetMultiChoiceIDParams() GetMultiChoiceIDParams

NewGetMultiChoiceIDParams creates a new GetMultiChoiceIDParams object

There are no default values defined in the spec.

func (*GetMultiChoiceIDParams) BindRequest

func (o *GetMultiChoiceIDParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetMultiChoiceIDParams() beforehand.

type GetMultiChoiceIDURL

type GetMultiChoiceIDURL struct {
	ID int64
	// contains filtered or unexported fields
}

GetMultiChoiceIDURL generates an URL for the get multi choice ID operation

func (*GetMultiChoiceIDURL) Build

func (o *GetMultiChoiceIDURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetMultiChoiceIDURL) BuildFull

func (o *GetMultiChoiceIDURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetMultiChoiceIDURL) Must

func (o *GetMultiChoiceIDURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetMultiChoiceIDURL) SetBasePath

func (o *GetMultiChoiceIDURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetMultiChoiceIDURL) String

func (o *GetMultiChoiceIDURL) String() string

String returns the string representation of the path with query string

func (*GetMultiChoiceIDURL) StringFull

func (o *GetMultiChoiceIDURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetMultiChoiceIDURL) WithBasePath

func (o *GetMultiChoiceIDURL) WithBasePath(bp string) *GetMultiChoiceIDURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetSingleChoiceGroupGroupIDSingleChoice

type GetSingleChoiceGroupGroupIDSingleChoice struct {
	Context *middleware.Context
	Handler GetSingleChoiceGroupGroupIDSingleChoiceHandler
}
GetSingleChoiceGroupGroupIDSingleChoice swagger:route GET /single_choice_group/{group_id}/single_choice/ category getSingleChoiceGroupGroupIdSingleChoice

GetSingleChoiceGroupGroupIDSingleChoice get single choice group group ID single choice API

func NewGetSingleChoiceGroupGroupIDSingleChoice

func NewGetSingleChoiceGroupGroupIDSingleChoice(ctx *middleware.Context, handler GetSingleChoiceGroupGroupIDSingleChoiceHandler) *GetSingleChoiceGroupGroupIDSingleChoice

NewGetSingleChoiceGroupGroupIDSingleChoice creates a new http.Handler for the get single choice group group ID single choice operation

func (*GetSingleChoiceGroupGroupIDSingleChoice) ServeHTTP

type GetSingleChoiceGroupGroupIDSingleChoiceDefault

type GetSingleChoiceGroupGroupIDSingleChoiceDefault struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

GetSingleChoiceGroupGroupIDSingleChoiceDefault Error

swagger:response getSingleChoiceGroupGroupIdSingleChoiceDefault

func NewGetSingleChoiceGroupGroupIDSingleChoiceDefault

func NewGetSingleChoiceGroupGroupIDSingleChoiceDefault(code int) *GetSingleChoiceGroupGroupIDSingleChoiceDefault

NewGetSingleChoiceGroupGroupIDSingleChoiceDefault creates GetSingleChoiceGroupGroupIDSingleChoiceDefault with default headers values

func (*GetSingleChoiceGroupGroupIDSingleChoiceDefault) SetPayload

SetPayload sets the payload to the get single choice group group ID single choice default response

func (*GetSingleChoiceGroupGroupIDSingleChoiceDefault) SetStatusCode

func (o *GetSingleChoiceGroupGroupIDSingleChoiceDefault) SetStatusCode(code int)

SetStatusCode sets the status to the get single choice group group ID single choice default response

func (*GetSingleChoiceGroupGroupIDSingleChoiceDefault) WithPayload

WithPayload adds the payload to the get single choice group group ID single choice default response

func (*GetSingleChoiceGroupGroupIDSingleChoiceDefault) WithStatusCode

WithStatusCode adds the status to the get single choice group group ID single choice default response

func (*GetSingleChoiceGroupGroupIDSingleChoiceDefault) WriteResponse

WriteResponse to the client

type GetSingleChoiceGroupGroupIDSingleChoiceHandler

type GetSingleChoiceGroupGroupIDSingleChoiceHandler interface {
	Handle(GetSingleChoiceGroupGroupIDSingleChoiceParams, *schemas.User) middleware.Responder
}

GetSingleChoiceGroupGroupIDSingleChoiceHandler interface for that can handle valid get single choice group group ID single choice params

type GetSingleChoiceGroupGroupIDSingleChoiceHandlerFunc

type GetSingleChoiceGroupGroupIDSingleChoiceHandlerFunc func(GetSingleChoiceGroupGroupIDSingleChoiceParams, *schemas.User) middleware.Responder

GetSingleChoiceGroupGroupIDSingleChoiceHandlerFunc turns a function with the right signature into a get single choice group group ID single choice handler

func (GetSingleChoiceGroupGroupIDSingleChoiceHandlerFunc) Handle

Handle executing the request and returning a response

type GetSingleChoiceGroupGroupIDSingleChoiceOK

type GetSingleChoiceGroupGroupIDSingleChoiceOK struct {

	/*
	  In: Body
	*/
	Payload []*models.CategorySingleChoice `json:"body,omitempty"`
}

GetSingleChoiceGroupGroupIDSingleChoiceOK List of single choices

swagger:response getSingleChoiceGroupGroupIdSingleChoiceOK

func NewGetSingleChoiceGroupGroupIDSingleChoiceOK

func NewGetSingleChoiceGroupGroupIDSingleChoiceOK() *GetSingleChoiceGroupGroupIDSingleChoiceOK

NewGetSingleChoiceGroupGroupIDSingleChoiceOK creates GetSingleChoiceGroupGroupIDSingleChoiceOK with default headers values

func (*GetSingleChoiceGroupGroupIDSingleChoiceOK) SetPayload

SetPayload sets the payload to the get single choice group group Id single choice o k response

func (*GetSingleChoiceGroupGroupIDSingleChoiceOK) WithPayload

WithPayload adds the payload to the get single choice group group Id single choice o k response

func (*GetSingleChoiceGroupGroupIDSingleChoiceOK) WriteResponse

WriteResponse to the client

type GetSingleChoiceGroupGroupIDSingleChoiceParams

type GetSingleChoiceGroupGroupIDSingleChoiceParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  In: query
	  Default: 0
	*/
	First *int32
	/*
	  Required: true
	  In: path
	*/
	GroupID int64
	/*
	  In: query
	*/
	Limit *int32
}

GetSingleChoiceGroupGroupIDSingleChoiceParams contains all the bound params for the get single choice group group ID single choice operation typically these are obtained from a http.Request

swagger:parameters GetSingleChoiceGroupGroupIDSingleChoice

func NewGetSingleChoiceGroupGroupIDSingleChoiceParams

func NewGetSingleChoiceGroupGroupIDSingleChoiceParams() GetSingleChoiceGroupGroupIDSingleChoiceParams

NewGetSingleChoiceGroupGroupIDSingleChoiceParams creates a new GetSingleChoiceGroupGroupIDSingleChoiceParams object with the default values initialized.

func (*GetSingleChoiceGroupGroupIDSingleChoiceParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetSingleChoiceGroupGroupIDSingleChoiceParams() beforehand.

type GetSingleChoiceGroupGroupIDSingleChoiceURL

type GetSingleChoiceGroupGroupIDSingleChoiceURL struct {
	GroupID int64

	First *int32
	Limit *int32
	// contains filtered or unexported fields
}

GetSingleChoiceGroupGroupIDSingleChoiceURL generates an URL for the get single choice group group ID single choice operation

func (*GetSingleChoiceGroupGroupIDSingleChoiceURL) Build

Build a url path and query string

func (*GetSingleChoiceGroupGroupIDSingleChoiceURL) BuildFull

func (o *GetSingleChoiceGroupGroupIDSingleChoiceURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetSingleChoiceGroupGroupIDSingleChoiceURL) Must

Must is a helper function to panic when the url builder returns an error

func (*GetSingleChoiceGroupGroupIDSingleChoiceURL) SetBasePath

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetSingleChoiceGroupGroupIDSingleChoiceURL) String

String returns the string representation of the path with query string

func (*GetSingleChoiceGroupGroupIDSingleChoiceURL) StringFull

func (o *GetSingleChoiceGroupGroupIDSingleChoiceURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetSingleChoiceGroupGroupIDSingleChoiceURL) WithBasePath

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetSingleChoiceGroupID

type GetSingleChoiceGroupID struct {
	Context *middleware.Context
	Handler GetSingleChoiceGroupIDHandler
}
GetSingleChoiceGroupID swagger:route GET /single_choice_group/{id} category getSingleChoiceGroupId

GetSingleChoiceGroupID get single choice group ID API

func NewGetSingleChoiceGroupID

func NewGetSingleChoiceGroupID(ctx *middleware.Context, handler GetSingleChoiceGroupIDHandler) *GetSingleChoiceGroupID

NewGetSingleChoiceGroupID creates a new http.Handler for the get single choice group ID operation

func (*GetSingleChoiceGroupID) ServeHTTP

func (o *GetSingleChoiceGroupID) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetSingleChoiceGroupIDDefault

type GetSingleChoiceGroupIDDefault struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

GetSingleChoiceGroupIDDefault Error

swagger:response getSingleChoiceGroupIdDefault

func NewGetSingleChoiceGroupIDDefault

func NewGetSingleChoiceGroupIDDefault(code int) *GetSingleChoiceGroupIDDefault

NewGetSingleChoiceGroupIDDefault creates GetSingleChoiceGroupIDDefault with default headers values

func (*GetSingleChoiceGroupIDDefault) SetPayload

func (o *GetSingleChoiceGroupIDDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the get single choice group ID default response

func (*GetSingleChoiceGroupIDDefault) SetStatusCode

func (o *GetSingleChoiceGroupIDDefault) SetStatusCode(code int)

SetStatusCode sets the status to the get single choice group ID default response

func (*GetSingleChoiceGroupIDDefault) WithPayload

WithPayload adds the payload to the get single choice group ID default response

func (*GetSingleChoiceGroupIDDefault) WithStatusCode

WithStatusCode adds the status to the get single choice group ID default response

func (*GetSingleChoiceGroupIDDefault) WriteResponse

func (o *GetSingleChoiceGroupIDDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetSingleChoiceGroupIDHandler

type GetSingleChoiceGroupIDHandler interface {
	Handle(GetSingleChoiceGroupIDParams, *schemas.User) middleware.Responder
}

GetSingleChoiceGroupIDHandler interface for that can handle valid get single choice group ID params

type GetSingleChoiceGroupIDHandlerFunc

type GetSingleChoiceGroupIDHandlerFunc func(GetSingleChoiceGroupIDParams, *schemas.User) middleware.Responder

GetSingleChoiceGroupIDHandlerFunc turns a function with the right signature into a get single choice group ID handler

func (GetSingleChoiceGroupIDHandlerFunc) Handle

Handle executing the request and returning a response

type GetSingleChoiceGroupIDOK

type GetSingleChoiceGroupIDOK struct {

	/*
	  In: Body
	*/
	Payload *models.CategorySingleChoiceGroup `json:"body,omitempty"`
}

GetSingleChoiceGroupIDOK OK

swagger:response getSingleChoiceGroupIdOK

func NewGetSingleChoiceGroupIDOK

func NewGetSingleChoiceGroupIDOK() *GetSingleChoiceGroupIDOK

NewGetSingleChoiceGroupIDOK creates GetSingleChoiceGroupIDOK with default headers values

func (*GetSingleChoiceGroupIDOK) SetPayload

SetPayload sets the payload to the get single choice group Id o k response

func (*GetSingleChoiceGroupIDOK) WithPayload

WithPayload adds the payload to the get single choice group Id o k response

func (*GetSingleChoiceGroupIDOK) WriteResponse

func (o *GetSingleChoiceGroupIDOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetSingleChoiceGroupIDParams

type GetSingleChoiceGroupIDParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  Required: true
	  In: path
	*/
	ID int64
}

GetSingleChoiceGroupIDParams contains all the bound params for the get single choice group ID operation typically these are obtained from a http.Request

swagger:parameters GetSingleChoiceGroupID

func NewGetSingleChoiceGroupIDParams

func NewGetSingleChoiceGroupIDParams() GetSingleChoiceGroupIDParams

NewGetSingleChoiceGroupIDParams creates a new GetSingleChoiceGroupIDParams object

There are no default values defined in the spec.

func (*GetSingleChoiceGroupIDParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetSingleChoiceGroupIDParams() beforehand.

type GetSingleChoiceGroupIDURL

type GetSingleChoiceGroupIDURL struct {
	ID int64
	// contains filtered or unexported fields
}

GetSingleChoiceGroupIDURL generates an URL for the get single choice group ID operation

func (*GetSingleChoiceGroupIDURL) Build

func (o *GetSingleChoiceGroupIDURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetSingleChoiceGroupIDURL) BuildFull

func (o *GetSingleChoiceGroupIDURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetSingleChoiceGroupIDURL) Must

func (o *GetSingleChoiceGroupIDURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetSingleChoiceGroupIDURL) SetBasePath

func (o *GetSingleChoiceGroupIDURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetSingleChoiceGroupIDURL) String

func (o *GetSingleChoiceGroupIDURL) String() string

String returns the string representation of the path with query string

func (*GetSingleChoiceGroupIDURL) StringFull

func (o *GetSingleChoiceGroupIDURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetSingleChoiceGroupIDURL) WithBasePath

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetSingleChoiceID

type GetSingleChoiceID struct {
	Context *middleware.Context
	Handler GetSingleChoiceIDHandler
}
GetSingleChoiceID swagger:route GET /single_choice/{id} category getSingleChoiceId

GetSingleChoiceID get single choice ID API

func NewGetSingleChoiceID

func NewGetSingleChoiceID(ctx *middleware.Context, handler GetSingleChoiceIDHandler) *GetSingleChoiceID

NewGetSingleChoiceID creates a new http.Handler for the get single choice ID operation

func (*GetSingleChoiceID) ServeHTTP

func (o *GetSingleChoiceID) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetSingleChoiceIDDefault

type GetSingleChoiceIDDefault struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

GetSingleChoiceIDDefault Error

swagger:response getSingleChoiceIdDefault

func NewGetSingleChoiceIDDefault

func NewGetSingleChoiceIDDefault(code int) *GetSingleChoiceIDDefault

NewGetSingleChoiceIDDefault creates GetSingleChoiceIDDefault with default headers values

func (*GetSingleChoiceIDDefault) SetPayload

func (o *GetSingleChoiceIDDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the get single choice ID default response

func (*GetSingleChoiceIDDefault) SetStatusCode

func (o *GetSingleChoiceIDDefault) SetStatusCode(code int)

SetStatusCode sets the status to the get single choice ID default response

func (*GetSingleChoiceIDDefault) WithPayload

WithPayload adds the payload to the get single choice ID default response

func (*GetSingleChoiceIDDefault) WithStatusCode

func (o *GetSingleChoiceIDDefault) WithStatusCode(code int) *GetSingleChoiceIDDefault

WithStatusCode adds the status to the get single choice ID default response

func (*GetSingleChoiceIDDefault) WriteResponse

func (o *GetSingleChoiceIDDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetSingleChoiceIDHandler

type GetSingleChoiceIDHandler interface {
	Handle(GetSingleChoiceIDParams, *schemas.User) middleware.Responder
}

GetSingleChoiceIDHandler interface for that can handle valid get single choice ID params

type GetSingleChoiceIDHandlerFunc

type GetSingleChoiceIDHandlerFunc func(GetSingleChoiceIDParams, *schemas.User) middleware.Responder

GetSingleChoiceIDHandlerFunc turns a function with the right signature into a get single choice ID handler

func (GetSingleChoiceIDHandlerFunc) Handle

Handle executing the request and returning a response

type GetSingleChoiceIDOK

type GetSingleChoiceIDOK struct {

	/*
	  In: Body
	*/
	Payload *models.CategorySingleChoice `json:"body,omitempty"`
}

GetSingleChoiceIDOK OK

swagger:response getSingleChoiceIdOK

func NewGetSingleChoiceIDOK

func NewGetSingleChoiceIDOK() *GetSingleChoiceIDOK

NewGetSingleChoiceIDOK creates GetSingleChoiceIDOK with default headers values

func (*GetSingleChoiceIDOK) SetPayload

func (o *GetSingleChoiceIDOK) SetPayload(payload *models.CategorySingleChoice)

SetPayload sets the payload to the get single choice Id o k response

func (*GetSingleChoiceIDOK) WithPayload

WithPayload adds the payload to the get single choice Id o k response

func (*GetSingleChoiceIDOK) WriteResponse

func (o *GetSingleChoiceIDOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetSingleChoiceIDParams

type GetSingleChoiceIDParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  Required: true
	  In: path
	*/
	ID int64
}

GetSingleChoiceIDParams contains all the bound params for the get single choice ID operation typically these are obtained from a http.Request

swagger:parameters GetSingleChoiceID

func NewGetSingleChoiceIDParams

func NewGetSingleChoiceIDParams() GetSingleChoiceIDParams

NewGetSingleChoiceIDParams creates a new GetSingleChoiceIDParams object

There are no default values defined in the spec.

func (*GetSingleChoiceIDParams) BindRequest

func (o *GetSingleChoiceIDParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetSingleChoiceIDParams() beforehand.

type GetSingleChoiceIDURL

type GetSingleChoiceIDURL struct {
	ID int64
	// contains filtered or unexported fields
}

GetSingleChoiceIDURL generates an URL for the get single choice ID operation

func (*GetSingleChoiceIDURL) Build

func (o *GetSingleChoiceIDURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetSingleChoiceIDURL) BuildFull

func (o *GetSingleChoiceIDURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetSingleChoiceIDURL) Must

func (o *GetSingleChoiceIDURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetSingleChoiceIDURL) SetBasePath

func (o *GetSingleChoiceIDURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetSingleChoiceIDURL) String

func (o *GetSingleChoiceIDURL) String() string

String returns the string representation of the path with query string

func (*GetSingleChoiceIDURL) StringFull

func (o *GetSingleChoiceIDURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetSingleChoiceIDURL) WithBasePath

func (o *GetSingleChoiceIDURL) WithBasePath(bp string) *GetSingleChoiceIDURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type PostCategory

type PostCategory struct {
	Context *middleware.Context
	Handler PostCategoryHandler
}
PostCategory swagger:route POST /category/ category postCategory

PostCategory post category API

func NewPostCategory

func NewPostCategory(ctx *middleware.Context, handler PostCategoryHandler) *PostCategory

NewPostCategory creates a new http.Handler for the post category operation

func (*PostCategory) ServeHTTP

func (o *PostCategory) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type PostCategoryCategoryIDMultiChoice

type PostCategoryCategoryIDMultiChoice struct {
	Context *middleware.Context
	Handler PostCategoryCategoryIDMultiChoiceHandler
}
PostCategoryCategoryIDMultiChoice swagger:route POST /category/{category_id}/multi_choice/ category postCategoryCategoryIdMultiChoice

PostCategoryCategoryIDMultiChoice post category category ID multi choice API

func NewPostCategoryCategoryIDMultiChoice

func NewPostCategoryCategoryIDMultiChoice(ctx *middleware.Context, handler PostCategoryCategoryIDMultiChoiceHandler) *PostCategoryCategoryIDMultiChoice

NewPostCategoryCategoryIDMultiChoice creates a new http.Handler for the post category category ID multi choice operation

func (*PostCategoryCategoryIDMultiChoice) ServeHTTP

type PostCategoryCategoryIDMultiChoiceCreated

type PostCategoryCategoryIDMultiChoiceCreated struct {

	/*
	  In: Body
	*/
	Payload *models.CategoryMultiChoice `json:"body,omitempty"`
}

PostCategoryCategoryIDMultiChoiceCreated Created

swagger:response postCategoryCategoryIdMultiChoiceCreated

func NewPostCategoryCategoryIDMultiChoiceCreated

func NewPostCategoryCategoryIDMultiChoiceCreated() *PostCategoryCategoryIDMultiChoiceCreated

NewPostCategoryCategoryIDMultiChoiceCreated creates PostCategoryCategoryIDMultiChoiceCreated with default headers values

func (*PostCategoryCategoryIDMultiChoiceCreated) SetPayload

SetPayload sets the payload to the post category category Id multi choice created response

func (*PostCategoryCategoryIDMultiChoiceCreated) WithPayload

WithPayload adds the payload to the post category category Id multi choice created response

func (*PostCategoryCategoryIDMultiChoiceCreated) WriteResponse

WriteResponse to the client

type PostCategoryCategoryIDMultiChoiceDefault

type PostCategoryCategoryIDMultiChoiceDefault struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

PostCategoryCategoryIDMultiChoiceDefault Error

swagger:response postCategoryCategoryIdMultiChoiceDefault

func NewPostCategoryCategoryIDMultiChoiceDefault

func NewPostCategoryCategoryIDMultiChoiceDefault(code int) *PostCategoryCategoryIDMultiChoiceDefault

NewPostCategoryCategoryIDMultiChoiceDefault creates PostCategoryCategoryIDMultiChoiceDefault with default headers values

func (*PostCategoryCategoryIDMultiChoiceDefault) SetPayload

func (o *PostCategoryCategoryIDMultiChoiceDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the post category category ID multi choice default response

func (*PostCategoryCategoryIDMultiChoiceDefault) SetStatusCode

func (o *PostCategoryCategoryIDMultiChoiceDefault) SetStatusCode(code int)

SetStatusCode sets the status to the post category category ID multi choice default response

func (*PostCategoryCategoryIDMultiChoiceDefault) WithPayload

WithPayload adds the payload to the post category category ID multi choice default response

func (*PostCategoryCategoryIDMultiChoiceDefault) WithStatusCode

WithStatusCode adds the status to the post category category ID multi choice default response

func (*PostCategoryCategoryIDMultiChoiceDefault) WriteResponse

WriteResponse to the client

type PostCategoryCategoryIDMultiChoiceHandler

type PostCategoryCategoryIDMultiChoiceHandler interface {
	Handle(PostCategoryCategoryIDMultiChoiceParams, *schemas.User) middleware.Responder
}

PostCategoryCategoryIDMultiChoiceHandler interface for that can handle valid post category category ID multi choice params

type PostCategoryCategoryIDMultiChoiceHandlerFunc

type PostCategoryCategoryIDMultiChoiceHandlerFunc func(PostCategoryCategoryIDMultiChoiceParams, *schemas.User) middleware.Responder

PostCategoryCategoryIDMultiChoiceHandlerFunc turns a function with the right signature into a post category category ID multi choice handler

func (PostCategoryCategoryIDMultiChoiceHandlerFunc) Handle

Handle executing the request and returning a response

type PostCategoryCategoryIDMultiChoiceParams

type PostCategoryCategoryIDMultiChoiceParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  In: body
	*/
	Body *models.CategoryMultiChoice
	/*
	  Required: true
	  In: path
	*/
	CategoryID int64
}

PostCategoryCategoryIDMultiChoiceParams contains all the bound params for the post category category ID multi choice operation typically these are obtained from a http.Request

swagger:parameters PostCategoryCategoryIDMultiChoice

func NewPostCategoryCategoryIDMultiChoiceParams

func NewPostCategoryCategoryIDMultiChoiceParams() PostCategoryCategoryIDMultiChoiceParams

NewPostCategoryCategoryIDMultiChoiceParams creates a new PostCategoryCategoryIDMultiChoiceParams object

There are no default values defined in the spec.

func (*PostCategoryCategoryIDMultiChoiceParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewPostCategoryCategoryIDMultiChoiceParams() beforehand.

type PostCategoryCategoryIDMultiChoiceURL

type PostCategoryCategoryIDMultiChoiceURL struct {
	CategoryID int64
	// contains filtered or unexported fields
}

PostCategoryCategoryIDMultiChoiceURL generates an URL for the post category category ID multi choice operation

func (*PostCategoryCategoryIDMultiChoiceURL) Build

Build a url path and query string

func (*PostCategoryCategoryIDMultiChoiceURL) BuildFull

func (o *PostCategoryCategoryIDMultiChoiceURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*PostCategoryCategoryIDMultiChoiceURL) Must

Must is a helper function to panic when the url builder returns an error

func (*PostCategoryCategoryIDMultiChoiceURL) SetBasePath

func (o *PostCategoryCategoryIDMultiChoiceURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*PostCategoryCategoryIDMultiChoiceURL) String

String returns the string representation of the path with query string

func (*PostCategoryCategoryIDMultiChoiceURL) StringFull

func (o *PostCategoryCategoryIDMultiChoiceURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*PostCategoryCategoryIDMultiChoiceURL) WithBasePath

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type PostCategoryCategoryIDSingleChoiceGroup

type PostCategoryCategoryIDSingleChoiceGroup struct {
	Context *middleware.Context
	Handler PostCategoryCategoryIDSingleChoiceGroupHandler
}
PostCategoryCategoryIDSingleChoiceGroup swagger:route POST /category/{category_id}/single_choice_group/ category postCategoryCategoryIdSingleChoiceGroup

PostCategoryCategoryIDSingleChoiceGroup post category category ID single choice group API

func NewPostCategoryCategoryIDSingleChoiceGroup

func NewPostCategoryCategoryIDSingleChoiceGroup(ctx *middleware.Context, handler PostCategoryCategoryIDSingleChoiceGroupHandler) *PostCategoryCategoryIDSingleChoiceGroup

NewPostCategoryCategoryIDSingleChoiceGroup creates a new http.Handler for the post category category ID single choice group operation

func (*PostCategoryCategoryIDSingleChoiceGroup) ServeHTTP

type PostCategoryCategoryIDSingleChoiceGroupCreated

type PostCategoryCategoryIDSingleChoiceGroupCreated struct {

	/*
	  In: Body
	*/
	Payload *models.CategorySingleChoiceGroup `json:"body,omitempty"`
}

PostCategoryCategoryIDSingleChoiceGroupCreated Created

swagger:response postCategoryCategoryIdSingleChoiceGroupCreated

func NewPostCategoryCategoryIDSingleChoiceGroupCreated

func NewPostCategoryCategoryIDSingleChoiceGroupCreated() *PostCategoryCategoryIDSingleChoiceGroupCreated

NewPostCategoryCategoryIDSingleChoiceGroupCreated creates PostCategoryCategoryIDSingleChoiceGroupCreated with default headers values

func (*PostCategoryCategoryIDSingleChoiceGroupCreated) SetPayload

SetPayload sets the payload to the post category category Id single choice group created response

func (*PostCategoryCategoryIDSingleChoiceGroupCreated) WithPayload

WithPayload adds the payload to the post category category Id single choice group created response

func (*PostCategoryCategoryIDSingleChoiceGroupCreated) WriteResponse

WriteResponse to the client

type PostCategoryCategoryIDSingleChoiceGroupDefault

type PostCategoryCategoryIDSingleChoiceGroupDefault struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

PostCategoryCategoryIDSingleChoiceGroupDefault Error

swagger:response postCategoryCategoryIdSingleChoiceGroupDefault

func NewPostCategoryCategoryIDSingleChoiceGroupDefault

func NewPostCategoryCategoryIDSingleChoiceGroupDefault(code int) *PostCategoryCategoryIDSingleChoiceGroupDefault

NewPostCategoryCategoryIDSingleChoiceGroupDefault creates PostCategoryCategoryIDSingleChoiceGroupDefault with default headers values

func (*PostCategoryCategoryIDSingleChoiceGroupDefault) SetPayload

SetPayload sets the payload to the post category category ID single choice group default response

func (*PostCategoryCategoryIDSingleChoiceGroupDefault) SetStatusCode

func (o *PostCategoryCategoryIDSingleChoiceGroupDefault) SetStatusCode(code int)

SetStatusCode sets the status to the post category category ID single choice group default response

func (*PostCategoryCategoryIDSingleChoiceGroupDefault) WithPayload

WithPayload adds the payload to the post category category ID single choice group default response

func (*PostCategoryCategoryIDSingleChoiceGroupDefault) WithStatusCode

WithStatusCode adds the status to the post category category ID single choice group default response

func (*PostCategoryCategoryIDSingleChoiceGroupDefault) WriteResponse

WriteResponse to the client

type PostCategoryCategoryIDSingleChoiceGroupHandler

type PostCategoryCategoryIDSingleChoiceGroupHandler interface {
	Handle(PostCategoryCategoryIDSingleChoiceGroupParams, *schemas.User) middleware.Responder
}

PostCategoryCategoryIDSingleChoiceGroupHandler interface for that can handle valid post category category ID single choice group params

type PostCategoryCategoryIDSingleChoiceGroupHandlerFunc

type PostCategoryCategoryIDSingleChoiceGroupHandlerFunc func(PostCategoryCategoryIDSingleChoiceGroupParams, *schemas.User) middleware.Responder

PostCategoryCategoryIDSingleChoiceGroupHandlerFunc turns a function with the right signature into a post category category ID single choice group handler

func (PostCategoryCategoryIDSingleChoiceGroupHandlerFunc) Handle

Handle executing the request and returning a response

type PostCategoryCategoryIDSingleChoiceGroupParams

type PostCategoryCategoryIDSingleChoiceGroupParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  In: body
	*/
	Body *models.CategorySingleChoiceGroup
	/*
	  Required: true
	  In: path
	*/
	CategoryID int64
}

PostCategoryCategoryIDSingleChoiceGroupParams contains all the bound params for the post category category ID single choice group operation typically these are obtained from a http.Request

swagger:parameters PostCategoryCategoryIDSingleChoiceGroup

func NewPostCategoryCategoryIDSingleChoiceGroupParams

func NewPostCategoryCategoryIDSingleChoiceGroupParams() PostCategoryCategoryIDSingleChoiceGroupParams

NewPostCategoryCategoryIDSingleChoiceGroupParams creates a new PostCategoryCategoryIDSingleChoiceGroupParams object

There are no default values defined in the spec.

func (*PostCategoryCategoryIDSingleChoiceGroupParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewPostCategoryCategoryIDSingleChoiceGroupParams() beforehand.

type PostCategoryCategoryIDSingleChoiceGroupURL

type PostCategoryCategoryIDSingleChoiceGroupURL struct {
	CategoryID int64
	// contains filtered or unexported fields
}

PostCategoryCategoryIDSingleChoiceGroupURL generates an URL for the post category category ID single choice group operation

func (*PostCategoryCategoryIDSingleChoiceGroupURL) Build

Build a url path and query string

func (*PostCategoryCategoryIDSingleChoiceGroupURL) BuildFull

func (o *PostCategoryCategoryIDSingleChoiceGroupURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*PostCategoryCategoryIDSingleChoiceGroupURL) Must

Must is a helper function to panic when the url builder returns an error

func (*PostCategoryCategoryIDSingleChoiceGroupURL) SetBasePath

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*PostCategoryCategoryIDSingleChoiceGroupURL) String

String returns the string representation of the path with query string

func (*PostCategoryCategoryIDSingleChoiceGroupURL) StringFull

func (o *PostCategoryCategoryIDSingleChoiceGroupURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*PostCategoryCategoryIDSingleChoiceGroupURL) WithBasePath

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type PostCategoryCreated

type PostCategoryCreated struct {

	/*
	  In: Body
	*/
	Payload *models.Category `json:"body,omitempty"`
}

PostCategoryCreated Created

swagger:response postCategoryCreated

func NewPostCategoryCreated

func NewPostCategoryCreated() *PostCategoryCreated

NewPostCategoryCreated creates PostCategoryCreated with default headers values

func (*PostCategoryCreated) SetPayload

func (o *PostCategoryCreated) SetPayload(payload *models.Category)

SetPayload sets the payload to the post category created response

func (*PostCategoryCreated) WithPayload

func (o *PostCategoryCreated) WithPayload(payload *models.Category) *PostCategoryCreated

WithPayload adds the payload to the post category created response

func (*PostCategoryCreated) WriteResponse

func (o *PostCategoryCreated) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type PostCategoryDefault

type PostCategoryDefault struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

PostCategoryDefault Error

swagger:response postCategoryDefault

func NewPostCategoryDefault

func NewPostCategoryDefault(code int) *PostCategoryDefault

NewPostCategoryDefault creates PostCategoryDefault with default headers values

func (*PostCategoryDefault) SetPayload

func (o *PostCategoryDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the post category default response

func (*PostCategoryDefault) SetStatusCode

func (o *PostCategoryDefault) SetStatusCode(code int)

SetStatusCode sets the status to the post category default response

func (*PostCategoryDefault) WithPayload

func (o *PostCategoryDefault) WithPayload(payload *models.Error) *PostCategoryDefault

WithPayload adds the payload to the post category default response

func (*PostCategoryDefault) WithStatusCode

func (o *PostCategoryDefault) WithStatusCode(code int) *PostCategoryDefault

WithStatusCode adds the status to the post category default response

func (*PostCategoryDefault) WriteResponse

func (o *PostCategoryDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type PostCategoryHandler

type PostCategoryHandler interface {
	Handle(PostCategoryParams, *schemas.User) middleware.Responder
}

PostCategoryHandler interface for that can handle valid post category params

type PostCategoryHandlerFunc

type PostCategoryHandlerFunc func(PostCategoryParams, *schemas.User) middleware.Responder

PostCategoryHandlerFunc turns a function with the right signature into a post category handler

func (PostCategoryHandlerFunc) Handle

Handle executing the request and returning a response

type PostCategoryParams

type PostCategoryParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  In: body
	*/
	Body *models.Category
}

PostCategoryParams contains all the bound params for the post category operation typically these are obtained from a http.Request

swagger:parameters PostCategory

func NewPostCategoryParams

func NewPostCategoryParams() PostCategoryParams

NewPostCategoryParams creates a new PostCategoryParams object

There are no default values defined in the spec.

func (*PostCategoryParams) BindRequest

func (o *PostCategoryParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewPostCategoryParams() beforehand.

type PostCategoryURL

type PostCategoryURL struct {
	// contains filtered or unexported fields
}

PostCategoryURL generates an URL for the post category operation

func (*PostCategoryURL) Build

func (o *PostCategoryURL) Build() (*url.URL, error)

Build a url path and query string

func (*PostCategoryURL) BuildFull

func (o *PostCategoryURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*PostCategoryURL) Must

func (o *PostCategoryURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*PostCategoryURL) SetBasePath

func (o *PostCategoryURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*PostCategoryURL) String

func (o *PostCategoryURL) String() string

String returns the string representation of the path with query string

func (*PostCategoryURL) StringFull

func (o *PostCategoryURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*PostCategoryURL) WithBasePath

func (o *PostCategoryURL) WithBasePath(bp string) *PostCategoryURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type PostSingleChoiceGroupGroupIDSingleChoice

type PostSingleChoiceGroupGroupIDSingleChoice struct {
	Context *middleware.Context
	Handler PostSingleChoiceGroupGroupIDSingleChoiceHandler
}
PostSingleChoiceGroupGroupIDSingleChoice swagger:route POST /single_choice_group/{group_id}/single_choice/ category postSingleChoiceGroupGroupIdSingleChoice

PostSingleChoiceGroupGroupIDSingleChoice post single choice group group ID single choice API

func NewPostSingleChoiceGroupGroupIDSingleChoice

func NewPostSingleChoiceGroupGroupIDSingleChoice(ctx *middleware.Context, handler PostSingleChoiceGroupGroupIDSingleChoiceHandler) *PostSingleChoiceGroupGroupIDSingleChoice

NewPostSingleChoiceGroupGroupIDSingleChoice creates a new http.Handler for the post single choice group group ID single choice operation

func (*PostSingleChoiceGroupGroupIDSingleChoice) ServeHTTP

type PostSingleChoiceGroupGroupIDSingleChoiceCreated

type PostSingleChoiceGroupGroupIDSingleChoiceCreated struct {

	/*
	  In: Body
	*/
	Payload *models.CategorySingleChoice `json:"body,omitempty"`
}

PostSingleChoiceGroupGroupIDSingleChoiceCreated Created

swagger:response postSingleChoiceGroupGroupIdSingleChoiceCreated

func NewPostSingleChoiceGroupGroupIDSingleChoiceCreated

func NewPostSingleChoiceGroupGroupIDSingleChoiceCreated() *PostSingleChoiceGroupGroupIDSingleChoiceCreated

NewPostSingleChoiceGroupGroupIDSingleChoiceCreated creates PostSingleChoiceGroupGroupIDSingleChoiceCreated with default headers values

func (*PostSingleChoiceGroupGroupIDSingleChoiceCreated) SetPayload

SetPayload sets the payload to the post single choice group group Id single choice created response

func (*PostSingleChoiceGroupGroupIDSingleChoiceCreated) WithPayload

WithPayload adds the payload to the post single choice group group Id single choice created response

func (*PostSingleChoiceGroupGroupIDSingleChoiceCreated) WriteResponse

WriteResponse to the client

type PostSingleChoiceGroupGroupIDSingleChoiceDefault

type PostSingleChoiceGroupGroupIDSingleChoiceDefault struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

PostSingleChoiceGroupGroupIDSingleChoiceDefault Error

swagger:response postSingleChoiceGroupGroupIdSingleChoiceDefault

func NewPostSingleChoiceGroupGroupIDSingleChoiceDefault

func NewPostSingleChoiceGroupGroupIDSingleChoiceDefault(code int) *PostSingleChoiceGroupGroupIDSingleChoiceDefault

NewPostSingleChoiceGroupGroupIDSingleChoiceDefault creates PostSingleChoiceGroupGroupIDSingleChoiceDefault with default headers values

func (*PostSingleChoiceGroupGroupIDSingleChoiceDefault) SetPayload

SetPayload sets the payload to the post single choice group group ID single choice default response

func (*PostSingleChoiceGroupGroupIDSingleChoiceDefault) SetStatusCode

SetStatusCode sets the status to the post single choice group group ID single choice default response

func (*PostSingleChoiceGroupGroupIDSingleChoiceDefault) WithPayload

WithPayload adds the payload to the post single choice group group ID single choice default response

func (*PostSingleChoiceGroupGroupIDSingleChoiceDefault) WithStatusCode

WithStatusCode adds the status to the post single choice group group ID single choice default response

func (*PostSingleChoiceGroupGroupIDSingleChoiceDefault) WriteResponse

WriteResponse to the client

type PostSingleChoiceGroupGroupIDSingleChoiceHandler

type PostSingleChoiceGroupGroupIDSingleChoiceHandler interface {
	Handle(PostSingleChoiceGroupGroupIDSingleChoiceParams, *schemas.User) middleware.Responder
}

PostSingleChoiceGroupGroupIDSingleChoiceHandler interface for that can handle valid post single choice group group ID single choice params

type PostSingleChoiceGroupGroupIDSingleChoiceHandlerFunc

type PostSingleChoiceGroupGroupIDSingleChoiceHandlerFunc func(PostSingleChoiceGroupGroupIDSingleChoiceParams, *schemas.User) middleware.Responder

[...]
